---
title: VRDisplay.getEyeParameters()
slug: Web/API/VRDisplay/getEyeParameters
tags:
  - API
  - Experimental
  - Method
  - Reference
  - VR
  - VRDisplay
  - Virtual Reality
  - WebVR
  - getEyeParameters()
---
<div>{{APIRef("WebVR API")}}{{SeeCompatTable}}</div>

<p>The <code><strong>getEyeParameters()</strong></code> method of the {{domxref("VRDisplay")}} interface returns the {{domxref("VREyeParameters")}} object containing the eye parameters for the specified eye.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="brush: js">var myEyeParameters = vrDisplayInstance.getEyeParameters(<em>whichEye</em>);
</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt>whichEye</dt>
 <dd>A {{domxref("DOMString")}} representing the eye you want to return the eye parameters for. Available values are <code>left</code> and <code>right</code> (defined in the <a href="https://w3c.github.io/webvr/spec/1.1/#interface-vreye">VREye enum</a>).</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>A {{domxref("VREyeParameters")}} object, or null if the VR is not able to present content (e.g. {{domxref("VRDisplayCapabilities.canPresent")}} returns <code>false</code>).</p>

<h2 id="Examples">Examples</h2>

<p>{{page("/Web/API/VREyeParameters", "Examples")}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('WebVR 1.1', '#dom-vrdisplay-geteyeparameters', 'getEyeParameters()')}}</td>
   <td>{{Spec2('WebVR 1.1')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.VRDisplay.getEyeParameters")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/WebVR_API">WebVR API homepage</a></li>
 <li><a href="http://mozvr.com/">MozVr.com</a> — demos, downloads, and other resources from the Mozilla VR team.</li>
</ul>
